# Deobfuscator

Project homepage: http://www.cs.arizona.edu/projects/lynx-project/

Deobfuscator is a tool that applies semantic preserving transformations on a 
given execution trace to simplify the obfuscations away. For more information,
please refer to the paper:

B. Yadegari, B. Johannesmeyer, B. Whitely and S. Debray, "A Generic Approach 
to Automatic Deobfuscation of Executable Code," 2015 IEEE Symposium on Security
and Privacy, San Jose, CA, 2015, pp. 674-691.

For use in bibetex:
@inproceedings{yadegari2015generic,
  title={A generic approach to automatic deobfuscation of executable code},
  author={Yadegari, Babak and Johannesmeyer, Brian and Whitely, Ben and Debray, Saumya},
  booktitle={Security and Privacy (SP), 2015 IEEE Symposium on},
  pages={674--691},
  year={2015},
  organization={IEEE}
}


Build
==================
To make the code, you first need to make the udis86 library. To make udis86,
either go to the udis86-1.7/ directory and run 'make' to build the udis86 library
needed by the Deobfuscator code. Once udis86 is built, run 'make' to build the 
deobfuscator code. You can run the Deobfuscator on a standard trace by running
the 'deobf' binary and giving it a trace as an argument.


Collecting Traces
==================
You can use Pin tool to collect execution traces. The plug-in that records traces
using Pin in specific format readable by deobfuscator is provided in the InstructionTrace/ 
directory of this repository. For more information on downloading and compiling the
Pin and the plug-in, look at: 
https://software.intel.com/en-us/articles/pin-a-dynamic-binary-instrumentation-tool.

NOTE: please use the followin naming convention when creating traces: 
(program-name)\_standard\_trace.txt. For example, if the binary name is factorial.exe, then
the appropriate trace file name should be factorial\_std\_trace.txt.


How to interprete the output
==================

After running the deobfuscator, the tool produces the following results in the 'files' directory
(where 'program' referes to the program name used for the tracing):
1) program.dot: 		is the CFG built from one execution trace of the original code in dot format
2) program.trace: 		a text file containing all the instructions in the trace in a more readable format
3) program.simplified: 		instructions after applying the simplification transformations
4) program\_simplified.dot:	the CFG of the simplified code that is built from the simplified trace in dot format
