/*
 *
 * File: al_helper.h
 * helper functions for data structure code.
 * Author: Kevin Coogan
 */

/*
 * Copyright 2015 Arizona Board of Regents on behalf of the University of Arizona.
 */

#ifndef HELPER_H_
#define HELPER_H_

#include <stdio.h>
#include <string.h>

void *alloc(int size);
void *zalloc(int size);
void dealloc(void *ptr);
void *resize(void *address, int size);

int intCompare(void *o1, void *o2);
int refCompare(void *o1, void *o2);
int strCompare(void *o1, void *o2);
int insCompareByAddr(void *i1, void *i2);
int insCompareByOrder(void *i1, void *i2);
int seCompare(void *se1, void *se2);
int udEdgeCompareByOrder(void *e1, void *e2);
int udEdgeCompareByAddr(void *e1, void *e2);
int bblCompareByAddr(void *b1, void *b2);
int bblCompareByID(void *b1, void *b2);
void intPrint(void *item);
void refPrint(void *item);
void strPrint(void *key);
void sePrint(void *se);

#endif /* HELPER_H_ */
