/*
 *
 * File: hash.h
 * Author: Babak Yadegari, Kevin Coogan
 */

/*
 * Copyright 2015 Arizona Board of Regents on behalf of the University of Arizona.
 */

#ifndef _HASH_H_
#define _HASH_H_

#include "lynx_types.h"
#include "flowgraph.h"

#define HASHTBLSZ 1024
#define HASHMASK  0x3ff     // low 10 bits of address

/*
typedef struct ihnode {
  Instruction   *instr;
  struct ihnode *next;
} ihnode;
*/

typedef struct ihnode {
    ADDRESS			addr;
    int				pos;
    int				len;
    unsigned char	bytes[MAX_INSTRLEN];
    ud_t			*ud_ins;
    bool			ok;  // if true, indicates that the instr simplification is OK
    struct ihnode	*next;
} ihnode;

typedef struct ihInstrnode {
	Instruction *iins;
	struct ihInstrnode *versions;
    struct ihInstrnode	*next;
} ihInstrnode;



typedef struct shnode {
    ConstantsinScope    *scope;
    struct shnode       *next;
} shnode;

void InitInstrHashTable();
ihnode *ihLookup(Instruction *instr);
ihnode *ihInsert(Instruction *iins);
void UpdateSimplificationHashTbl(Instruction *iins, ud_t *udins);

void Init_iEdgeHashTable();
iEdge *iEdgeLookup(Instruction *ifrom, Instruction *ito);
iEdge *iEdgeInsert(EdgeType etype, Instruction *ifrom, Instruction *ito);

void InitBblHashTable();
Block *BblLookupByAddr(ADDRESS addr);
Block *BblLookupByInstr(Instruction *instr);
void BblInsert(Block *bbl);

//Babak
void InitIinstrHashTable();
ihInstrnode *ihInstrLookup(Instruction *instr);
ihInstrnode *ihInstrInsert(Instruction *iins);

void InitScopeHashTable();
shnode *shLookup(uint64_t index);
shnode *shInsert(ConstantsinScope *s);
#endif  /* _HASH_H_ */
