/*
 * opcode_names.h
 *
 *
 *  Author: Kevin Coogan
 */

/*
 * Copyright 2015 Arizona Board of Regents on behalf of the University of Arizona.
 */

#ifndef OPCODE_NAMES_H_
#define OPCODE_NAMES_H_

#include "udis86.h"

typedef struct _OPCODE_NAME {
    enum ud_mnemonic_code   code;
    char                    *name;
} OPCODE_NAME;


OPCODE_NAME opcode[560] = {
{UD_I3dnow, "3dnow"},
{UD_Iaaa, "aaa"},
{UD_Iaad, "aad"},
{UD_Iaam, "aam"},
{UD_Iaas, "aas"},
{UD_Iadc, "adc"},
{UD_Iadd, "add"},
{UD_Iaddpd, "addpd"},
{UD_Iaddps, "addps"},
{UD_Iaddsd, "addsd"},
{UD_Iaddss, "addss"},
{UD_Iaddsubpd, "addsubpd"},
{UD_Iaddsubps, "addsubps"},
{UD_Iand, "and"},
{UD_Iandpd, "andpd"},
{UD_Iandps, "andps"},
{UD_Iandnpd, "andnpd"},
{UD_Iandnps, "andnps"},
{UD_Iarpl, "arpl"},
{UD_Imovsxd, "movsxd"},
{UD_Ibound, "bound"},
{UD_Ibsf, "bsf"},
{UD_Ibsr, "bsr"},
{UD_Ibswap, "bswap"},
{UD_Ibt, "bt"},
{UD_Ibtc, "btc"},
{UD_Ibtr, "btr"},
{UD_Ibts, "bts"},
{UD_Icall, "call"},
{UD_Icbw, "cbw"},
{UD_Icwde, "cwde"},
{UD_Icdqe, "cdqe"},
{UD_Iclc, "clc"},
{UD_Icld, "cld"},
{UD_Iclflush, "clflush"},
{UD_Iclgi, "clgi"},
{UD_Icli, "cli"},
{UD_Iclts, "clts"},
{UD_Icmc, "cmc"},
{UD_Icmovo, "cmovo"},
{UD_Icmovno, "cmovno"},
{UD_Icmovb, "cmovb"},
{UD_Icmovae, "cmovae"},
{UD_Icmovz, "cmovz"},
{UD_Icmovnz, "cmovnz"},
{UD_Icmovbe, "cmovbe"},
{UD_Icmova, "cmova"},
{UD_Icmovs, "cmovs"},
{UD_Icmovns, "cmovns"},
{UD_Icmovp, "cmovp"},
{UD_Icmovnp, "cmovnp"},
{UD_Icmovl, "cmovl"},
{UD_Icmovge, "cmovge"},
{UD_Icmovle, "cmovle"},
{UD_Icmovg, "cmovg"},
{UD_Icmp, "cmp"},
{UD_Icmppd, "cmppd"},
{UD_Icmpps, "cmpps"},
{UD_Icmpsb, "cmpsb"},
{UD_Icmpsw, "cmpsw"},
{UD_Icmpsd, "cmpsd"},
{UD_Icmpsq, "cmpsq"},
{UD_Icmpss, "cmpss"},
{UD_Icmpxchg, "cmpxchg"},
{UD_Icmpxchg8b, "cmpxchg8b"},
{UD_Icomisd, "comisd"},
{UD_Icomiss, "comiss"},
{UD_Icpuid, "cpuid"},
{UD_Icvtdq2pd, "cvtdq2pd"},
{UD_Icvtdq2ps, "cvtdq2ps"},
{UD_Icvtpd2dq, "cvtpd2dq"},
{UD_Icvtpd2pi, "cvtpd2pi"},
{UD_Icvtpd2ps, "cvtpd2ps"},
{UD_Icvtpi2ps, "cvtpi2ps"},
{UD_Icvtpi2pd, "cvtpi2pd"},
{UD_Icvtps2dq, "cvtps2dq"},
{UD_Icvtps2pi, "cvtps2pi"},
{UD_Icvtps2pd, "cvtps2pd"},
{UD_Icvtsd2si, "cvtsd2si"},
{UD_Icvtsd2ss, "cvtsd2ss"},
{UD_Icvtsi2ss, "cvtsi2ss"},
{UD_Icvtss2si, "cvtss2si"},
{UD_Icvtss2sd, "cvtss2sd"},
{UD_Icvttpd2pi, "cvttpd2pi"},
{UD_Icvttpd2dq, "cvttpd2dq"},
{UD_Icvttps2dq, "cvttps2dq"},
{UD_Icvttps2pi, "cvttps2pi"},
{UD_Icvttsd2si, "cvttsd2si"},
{UD_Icvtsi2sd, "cvtsi2sd"},
{UD_Icvttss2si, "cvttss2si"},
{UD_Icwd, "cwd"},
{UD_Icdq, "cdq"},
{UD_Icqo, "cqo"},
{UD_Idaa, "daa"},
{UD_Idas, "das"},
{UD_Idec, "dec"},
{UD_Idiv, "div"},
{UD_Idivpd, "divpd"},
{UD_Idivps, "divps"},
{UD_Idivsd, "divsd"},
{UD_Idivss, "divss"},
{UD_Iemms, "emms"},
{UD_Ienter, "enter"},
{UD_If2xm1, "f2xm1"},
{UD_Ifabs, "fabs"},
{UD_Ifadd, "fadd"},
{UD_Ifaddp, "faddp"},
{UD_Ifbld, "fbld"},
{UD_Ifbstp, "fbstp"},
{UD_Ifchs, "fchs"},
{UD_Ifclex, "fclex"},
{UD_Ifcmovb, "fcmovb"},
{UD_Ifcmove, "fcmove"},
{UD_Ifcmovbe, "fcmovbe"},
{UD_Ifcmovu, "fcmovu"},
{UD_Ifcmovnb, "fcmovnb"},
{UD_Ifcmovne, "fcmovne"},
{UD_Ifcmovnbe, "fcmovnbe"},
{UD_Ifcmovnu, "fcmovnu"},
{UD_Ifucomi, "fucomi"},
{UD_Ifcom, "fcom"},
{UD_Ifcom2, "fcom2"},
{UD_Ifcomp3, "fcomp3"},
{UD_Ifcomi, "fcomi"},
{UD_Ifucomip, "fucomip"},
{UD_Ifcomip, "fcomip"},
{UD_Ifcomp, "fcomp"},
{UD_Ifcomp5, "fcomp5"},
{UD_Ifcompp, "fcompp"},
{UD_Ifcos, "fcos"},
{UD_Ifdecstp, "fdecstp"},
{UD_Ifdiv, "fdiv"},
{UD_Ifdivp, "fdivp"},
{UD_Ifdivr, "fdivr"},
{UD_Ifdivrp, "fdivrp"},
{UD_Ifemms, "femms"},
{UD_Iffree, "ffree"},
{UD_Iffreep, "ffreep"},
{UD_Ificom, "ficom"},
{UD_Ificomp, "ficomp"},
{UD_Ifild, "fild"},
{UD_Ifncstp, "fncstp"},
{UD_Ifninit, "fninit"},
{UD_Ifiadd, "fiadd"},
{UD_Ifidivr, "fidivr"},
{UD_Ifidiv, "fidiv"},
{UD_Ifisub, "fisub"},
{UD_Ifisubr, "fisubr"},
{UD_Ifist, "fist"},
{UD_Ifistp, "fistp"},
{UD_Ifisttp, "fisttp"},
{UD_Ifld, "fld"},
{UD_Ifld1, "fld1"},
{UD_Ifldl2t, "fldl2t"},
{UD_Ifldl2e, "fldl2e"},
{UD_Ifldlpi, "fldlpi"},
{UD_Ifldlg2, "fldlg2"},
{UD_Ifldln2, "fldln2"},
{UD_Ifldz, "fldz"},
{UD_Ifldcw, "fldcw"},
{UD_Ifldenv, "fldenv"},
{UD_Ifmul, "fmul"},
{UD_Ifmulp, "fmulp"},
{UD_Ifimul, "fimul"},
{UD_Ifnop, "fnop"},
{UD_Ifpatan, "fpatan"},
{UD_Ifprem, "fprem"},
{UD_Ifprem1, "fprem1"},
{UD_Ifptan, "fptan"},
{UD_Ifrndint, "frndint"},
{UD_Ifrstor, "frstor"},
{UD_Ifnsave, "fnsave"},
{UD_Ifscale, "fscale"},
{UD_Ifsin, "fsin"},
{UD_Ifsincos, "fsincos"},
{UD_Ifsqrt, "fsqrt"},
{UD_Ifstp, "fstp"},
{UD_Ifstp1, "fstp1"},
{UD_Ifstp8, "fstp8"},
{UD_Ifstp9, "fstp9"},
{UD_Ifst, "fst"},
{UD_Ifnstcw, "fnstcw"},
{UD_Ifnstenv, "fnstenv"},
{UD_Ifnstsw, "fnstsw"},
{UD_Ifsub, "fsub"},
{UD_Ifsubp, "fsubp"},
{UD_Ifsubr, "fsubr"},
{UD_Ifsubrp, "fsubrp"},
{UD_Iftst, "ftst"},
{UD_Ifucom, "fucom"},
{UD_Ifucomp, "fucomp"},
{UD_Ifucompp, "fucompp"},
{UD_Ifxam, "fxam"},
{UD_Ifxch, "fxch"},
{UD_Ifxch4, "fxch4"},
{UD_Ifxch7, "fxch7"},
{UD_Ifxrstor, "fxrstor"},
{UD_Ifxsave, "fxsave"},
{UD_Ifpxtract, "fpxtract"},
{UD_Ifyl2x, "fyl2x"},
{UD_Ifyl2xp1, "fyl2xp1"},
{UD_Ihaddpd, "haddpd"},
{UD_Ihaddps, "haddps"},
{UD_Ihlt, "hlt"},
{UD_Ihsubpd, "hsubpd"},
{UD_Ihsubps, "hsubps"},
{UD_Iidiv, "idiv"},
{UD_Iin, "in"},
{UD_Iimul, "imul"},
{UD_Iinc, "inc"},
{UD_Iinsb, "insb"},
{UD_Iinsw, "insw"},
{UD_Iinsd, "insd"},
{UD_Iint1, "int1"},
{UD_Iint3, "int3"},
{UD_Iint, "int"},
{UD_Iinto, "into"},
{UD_Iinvd, "invd"},
{UD_Iinvlpg, "invlpg"},
{UD_Iinvlpga, "invlpga"},
{UD_Iiretw, "iretw"},
{UD_Iiretd, "iretd"},
{UD_Iiretq, "iretq"},
{UD_Ijo, "jo"},
{UD_Ijno, "jno"},
{UD_Ijb, "jb"},
{UD_Ijae, "jae"},
{UD_Ijz, "jz"},
{UD_Ijnz, "jnz"},
{UD_Ijbe, "jbe"},
{UD_Ija, "ja"},
{UD_Ijs, "js"},
{UD_Ijns, "jns"},
{UD_Ijp, "jp"},
{UD_Ijnp, "jnp"},
{UD_Ijl, "jl"},
{UD_Ijge, "jge"},
{UD_Ijle, "jle"},
{UD_Ijg, "jg"},
{UD_Ijcxz, "jcxz"},
{UD_Ijecxz, "jecxz"},
{UD_Ijrcxz, "jrcxz"},
{UD_Ijmp, "jmp"},
{UD_Ilahf, "lahf"},
{UD_Ilar, "lar"},
{UD_Ilddqu, "lddqu"},
{UD_Ildmxcsr, "ldmxcsr"},
{UD_Ilds, "lds"},
{UD_Ilea, "lea"},
{UD_Iles, "les"},
{UD_Ilfs, "lfs"},
{UD_Ilgs, "lgs"},
{UD_Ilidt, "lidt"},
{UD_Ilss, "lss"},
{UD_Ileave, "leave"},
{UD_Ilfence, "lfence"},
{UD_Ilgdt, "lgdt"},
{UD_Illdt, "lldt"},
{UD_Ilmsw, "lmsw"},
{UD_Ilock, "lock"},
{UD_Ilodsb, "lodsb"},
{UD_Ilodsw, "lodsw"},
{UD_Ilodsd, "lodsd"},
{UD_Ilodsq, "lodsq"},
{UD_Iloopnz, "loopnz"},
{UD_Iloope, "loope"},
{UD_Iloop, "loop"},
{UD_Ilsl, "lsl"},
{UD_Iltr, "ltr"},
{UD_Imaskmovq, "maskmovq"},
{UD_Imaxpd, "maxpd"},
{UD_Imaxps, "maxps"},
{UD_Imaxsd, "maxsd"},
{UD_Imaxss, "maxss"},
{UD_Imfence, "mfence"},
{UD_Iminpd, "minpd"},
{UD_Iminps, "minps"},
{UD_Iminsd, "minsd"},
{UD_Iminss, "minss"},
{UD_Imonitor, "monitor"},
{UD_Imov, "mov"},
{UD_Imovapd, "movapd"},
{UD_Imovaps, "movaps"},
{UD_Imovd, "movd"},
{UD_Imovddup, "movddup"},
{UD_Imovdqa, "movdqa"},
{UD_Imovdqu, "movdqu"},
{UD_Imovdq2q, "movdq2q"},
{UD_Imovhpd, "movhpd"},
{UD_Imovhps, "movhps"},
{UD_Imovlhps, "movlhps"},
{UD_Imovlpd, "movlpd"},
{UD_Imovlps, "movlps"},
{UD_Imovhlps, "movhlps"},
{UD_Imovmskpd, "movmskpd"},
{UD_Imovmskps, "movmskps"},
{UD_Imovntdq, "movntdq"},
{UD_Imovnti, "movnti"},
{UD_Imovntpd, "movntpd"},
{UD_Imovntps, "movntps"},
{UD_Imovntq, "movntq"},
{UD_Imovq, "movq"},
{UD_Imovqa, "movqa"},
{UD_Imovq2dq, "movq2dq"},
{UD_Imovsb, "movsb"},
{UD_Imovsw, "movsw"},
{UD_Imovsd, "movsd"},
{UD_Imovsq, "movsq"},
{UD_Imovsldup, "movsldup"},
{UD_Imovshdup, "movshdup"},
{UD_Imovss, "movss"},
{UD_Imovsx, "movsx"},
{UD_Imovupd, "movupd"},
{UD_Imovups, "movups"},
{UD_Imovzx, "movzx"},
{UD_Imul, "mul"},
{UD_Imulpd, "mulpd"},
{UD_Imulps, "mulps"},
{UD_Imulsd, "mulsd"},
{UD_Imulss, "mulss"},
{UD_Imwait, "mwait"},
{UD_Ineg, "neg"},
{UD_Inop, "nop"},
{UD_Inot, "not"},
{UD_Ior, "or"},
{UD_Iorpd, "orpd"},
{UD_Iorps, "orps"},
{UD_Iout, "out"},
{UD_Ioutsb, "outsb"},
{UD_Ioutsw, "outsw"},
{UD_Ioutsd, "outsd"},
{UD_Ioutsq, "outsq"},
{UD_Ipacksswb, "packsswb"},
{UD_Ipackssdw, "packssdw"},
{UD_Ipackuswb, "packuswb"},
{UD_Ipaddb, "paddb"},
{UD_Ipaddw, "paddw"},
{UD_Ipaddq, "paddq"},
{UD_Ipaddsb, "paddsb"},
{UD_Ipaddsw, "paddsw"},
{UD_Ipaddusb, "paddusb"},
{UD_Ipaddusw, "paddusw"},
{UD_Ipand, "pand"},
{UD_Ipandn, "pandn"},
{UD_Ipause, "pause"},
{UD_Ipavgb, "pavgb"},
{UD_Ipavgw, "pavgw"},
{UD_Ipcmpeqb, "pcmpeqb"},
{UD_Ipcmpeqw, "pcmpeqw"},
{UD_Ipcmpeqd, "pcmpeqd"},
{UD_Ipcmpgtb, "pcmpgtb"},
{UD_Ipcmpgtw, "pcmpgtw"},
{UD_Ipcmpgtd, "pcmpgtd"},
{UD_Ipextrw, "pextrw"},
{UD_Ipinsrw, "pinsrw"},
{UD_Ipmaddwd, "pmaddwd"},
{UD_Ipmaxsw, "pmaxsw"},
{UD_Ipmaxub, "pmaxub"},
{UD_Ipminsw, "pminsw"},
{UD_Ipminub, "pminub"},
{UD_Ipmovmskb, "pmovmskb"},
{UD_Ipmulhuw, "pmulhuw"},
{UD_Ipmulhw, "pmulhw"},
{UD_Ipmullw, "pmullw"},
{UD_Ipmuludq, "pmuludq"},
{UD_Ipop, "pop"},
{UD_Ipopa, "popa"},
{UD_Ipopad, "popad"},
{UD_Ipopfw, "popfw"},
{UD_Ipopfd, "popfd"},
{UD_Ipopfq, "popfq"},
{UD_Ipor, "por"},
{UD_Iprefetch, "prefetch"},
{UD_Iprefetchnta, "prefetchnta"},
{UD_Iprefetcht0, "prefetcht0"},
{UD_Iprefetcht1, "prefetcht1"},
{UD_Iprefetcht2, "prefetcht2"},
{UD_Ipsadbw, "psadbw"},
{UD_Ipshufd, "pshufd"},
{UD_Ipshufhw, "pshufhw"},
{UD_Ipshuflw, "pshuflw"},
{UD_Ipshufw, "pshufw"},
{UD_Ipslldq, "pslldq"},
{UD_Ipsllw, "psllw"},
{UD_Ipslld, "pslld"},
{UD_Ipsllq, "psllq"},
{UD_Ipsraw, "psraw"},
{UD_Ipsrad, "psrad"},
{UD_Ipsrlw, "psrlw"},
{UD_Ipsrld, "psrld"},
{UD_Ipsrlq, "psrlq"},
{UD_Ipsrldq, "psrldq"},
{UD_Ipsubb, "psubb"},
{UD_Ipsubw, "psubw"},
{UD_Ipsubd, "psubd"},
{UD_Ipsubq, "psubq"},
{UD_Ipsubsb, "psubsb"},
{UD_Ipsubsw, "psubsw"},
{UD_Ipsubusb, "psubusb"},
{UD_Ipsubusw, "psubusw"},
{UD_Ipunpckhbw, "punpckhbw"},
{UD_Ipunpckhwd, "punpckhwd"},
{UD_Ipunpckhdq, "punpckhdq"},
{UD_Ipunpckhqdq, "punpckhqdq"},
{UD_Ipunpcklbw, "punpcklbw"},
{UD_Ipunpcklwd, "punpcklwd"},
{UD_Ipunpckldq, "punpckldq"},
{UD_Ipunpcklqdq, "punpcklqdq"},
{UD_Ipi2fw, "pi2fw"},
{UD_Ipi2fd, "pi2fd"},
{UD_Ipf2iw, "pf2iw"},
{UD_Ipf2id, "pf2id"},
{UD_Ipfnacc, "pfnacc"},
{UD_Ipfpnacc, "pfpnacc"},
{UD_Ipfcmpge, "pfcmpge"},
{UD_Ipfmin, "pfmin"},
{UD_Ipfrcp, "pfrcp"},
{UD_Ipfrsqrt, "pfrsqrt"},
{UD_Ipfsub, "pfsub"},
{UD_Ipfadd, "pfadd"},
{UD_Ipfcmpgt, "pfcmpgt"},
{UD_Ipfmax, "pfmax"},
{UD_Ipfrcpit1, "pfrcpit1"},
{UD_Ipfrspit1, "pfrspit1"},
{UD_Ipfsubr, "pfsubr"},
{UD_Ipfacc, "pfacc"},
{UD_Ipfcmpeq, "pfcmpeq"},
{UD_Ipfmul, "pfmul"},
{UD_Ipfrcpit2, "pfrcpit2"},
{UD_Ipmulhrw, "pmulhrw"},
{UD_Ipswapd, "pswapd"},
{UD_Ipavgusb, "pavgusb"},
{UD_Ipush, "push"},
{UD_Ipusha, "pusha"},
{UD_Ipushad, "pushad"},
{UD_Ipushfw, "pushfw"},
{UD_Ipushfd, "pushfd"},
{UD_Ipushfq, "pushfq"},
{UD_Ipxor, "pxor"},
{UD_Ircl, "rcl"},
{UD_Ircr, "rcr"},
{UD_Irol, "rol"},
{UD_Iror, "ror"},
{UD_Ircpps, "rcpps"},
{UD_Ircpss, "rcpss"},
{UD_Irdmsr, "rdmsr"},
{UD_Irdpmc, "rdpmc"},
{UD_Irdtsc, "rdtsc"},
{UD_Irdtscp, "rdtscp"},
{UD_Irepne, "repne"},
{UD_Irep, "rep"},
{UD_Iret, "ret"},
{UD_Iretf, "retf"},
{UD_Irsm, "rsm"},
{UD_Irsqrtps, "rsqrtps"},
{UD_Irsqrtss, "rsqrtss"},
{UD_Isahf, "sahf"},
{UD_Isal, "sal"},
{UD_Isalc, "salc"},
{UD_Isar, "sar"},
{UD_Ishl, "shl"},
{UD_Ishr, "shr"},
{UD_Isbb, "sbb"},
{UD_Iscasb, "scasb"},
{UD_Iscasw, "scasw"},
{UD_Iscasd, "scasd"},
{UD_Iscasq, "scasq"},
{UD_Iseto, "seto"},
{UD_Isetno, "setno"},
{UD_Isetb, "setb"},
{UD_Isetnb, "setnb"},
{UD_Isetz, "setz"},
{UD_Isetnz, "setnz"},
{UD_Isetbe, "setbe"},
{UD_Iseta, "seta"},
{UD_Isets, "sets"},
{UD_Isetns, "setns"},
{UD_Isetp, "setp"},
{UD_Isetnp, "setnp"},
{UD_Isetl, "setl"},
{UD_Isetge, "setge"},
{UD_Isetle, "setle"},
{UD_Isetg, "setg"},
{UD_Isfence, "sfence"},
{UD_Isgdt, "sgdt"},
{UD_Ishld, "shld"},
{UD_Ishrd, "shrd"},
{UD_Ishufpd, "shufpd"},
{UD_Ishufps, "shufps"},
{UD_Isidt, "sidt"},
{UD_Isldt, "sldt"},
{UD_Ismsw, "smsw"},
{UD_Isqrtps, "sqrtps"},
{UD_Isqrtpd, "sqrtpd"},
{UD_Isqrtsd, "sqrtsd"},
{UD_Isqrtss, "sqrtss"},
{UD_Istc, "stc"},
{UD_Istd, "std"},
{UD_Istgi, "stgi"},
{UD_Isti, "sti"},
{UD_Iskinit, "skinit"},
{UD_Istmxcsr, "stmxcsr"},
{UD_Istosb, "stosb"},
{UD_Istosw, "stosw"},
{UD_Istosd, "stosd"},
{UD_Istosq, "stosq"},
{UD_Istr, "str"},
{UD_Isub, "sub"},
{UD_Isubpd, "subpd"},
{UD_Isubps, "subps"},
{UD_Isubsd, "subsd"},
{UD_Isubss, "subss"},
{UD_Iswapgs, "swapgs"},
{UD_Isyscall, "syscall"},
{UD_Isysenter, "sysenter"},
{UD_Isysexit, "sysexit"},
{UD_Isysret, "sysret"},
{UD_Itest, "test"},
{UD_Iucomisd, "ucomisd"},
{UD_Iucomiss, "ucomiss"},
{UD_Iud2, "ud2"},
{UD_Iunpckhpd, "unpckhpd"},
{UD_Iunpckhps, "unpckhps"},
{UD_Iunpcklps, "unpcklps"},
{UD_Iunpcklpd, "unpcklpd"},
{UD_Iverr, "verr"},
{UD_Iverw, "verw"},
{UD_Ivmcall, "vmcall"},
{UD_Ivmclear, "vmclear"},
{UD_Ivmxon, "vmxon"},
{UD_Ivmptrld, "vmptrld"},
{UD_Ivmptrst, "vmptrst"},
{UD_Ivmresume, "vmresume"},
{UD_Ivmxoff, "vmxoff"},
{UD_Ivmrun, "vmrun"},
{UD_Ivmmcall, "vmmcall"},
{UD_Ivmload, "vmload"},
{UD_Ivmsave, "vmsave"},
{UD_Iwait, "wait"},
{UD_Iwbinvd, "wbinvd"},
{UD_Iwrmsr, "wrmsr"},
{UD_Ixadd, "xadd"},
{UD_Ixchg, "xchg"},
{UD_Ixlatb, "xlatb"},
{UD_Ixor, "xor"},
{UD_Ixorpd, "xorpd"},
{UD_Ixorps, "xorps"},
{UD_Idb, "db"},
{UD_Iinvalid, "invalid"},
{UD_Id3vil, "d3vil"},
{UD_Ina, "na"},
{UD_Igrp_reg, "grp_reg"},
{UD_Igrp_rm, "grp_rm"},
{UD_Igrp_vendor, "grp_vendor"},
{UD_Igrp_x87, "grp_x87"},
{UD_Igrp_mode, "grp_mode"},
{UD_Igrp_osize, "grp_osize"},
{UD_Igrp_asize, "grp_asize"},
{UD_Igrp_mod, "grp_mod"},
{UD_Inone, "none"}
};

#endif /* OPCODE_NAMES_H_ */
