/*
 *  Print i386 instructions for GDB, the GNU debugger.
 *  Copyright (C) 1988, 89, 91, 93, 94, 95, 96, 97, 1998
 *  Free Software Foundation, Inc.
 *
 *  Modified by the LYNX project,
 *  Department of Computer Science,
 *  University of Arizona, 2008-2012.
 *
 *
 *  This file is part of GDB.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place -- Suite 330, Boston, MA 02111-1307, USA.
 */
#include <assert.h>

/*
 #include "global.h"
 #include "x86-dis.h"
 #include "x86-table.h"
 #include "utilities.h"
 #include "x86-prefix.h"
 #include "x86-registers.h"
 #include "x86-classes.h"
 #include "x86-histogram.h"
 #include "hash.h"
 #include "elfio.h"
 #include "flowgraph.h"
 */
#include "x86-registers.h"
#include "x86-classes.h"

int regs_32bit[] = { reg_a | reg_32, reg_c | reg_32, reg_d | reg_32, reg_b | reg_32, reg_sp
        | reg_32, reg_bp | reg_32, reg_si | reg_32, reg_di | reg_32 };

int regs_16bit[] = { reg_a | reg_16, reg_c | reg_16, reg_d | reg_16, reg_b | reg_16, reg_sp
        | reg_16, reg_bp | reg_16, reg_si | reg_16, reg_di | reg_16 };

int regs_8bit[] = {
        reg_a | reg_8l, reg_c | reg_8l, reg_d | reg_8l, reg_b | reg_8l, reg_a | reg_8h, reg_c
                | reg_8h, reg_d | reg_8h, reg_b | reg_8h };

int regs_seg[] = { reg_es, reg_cs, reg_ss, reg_ds, reg_fs, reg_gs };

int regs_cr[] = { reg_cr0, 0, reg_cr2, reg_cr3, reg_cr4 };

/*
 *  ckprefix() --
 */
void ckprefix() {
}

/*
 *  dofloat(aflag,dflag) --
 */
void dofloat(int aflag, int dflag) {
}

/*
 *  putop(template,aflag,dflag) --
 */
int putop(char *template, int aflag, int dflag) {
    return -1;
}

/*
 *  get32() --
 */
int get32() {
    int x = 0;
    return x;
}

/*
 *  get16() --
 */
int get16() {
    int x = 0;
    return x;
}

/* HACK: Some of the following definitions (all taken from gdb)
 * interfere with definitions taken from udis86. Since we are not
 * really using the definitions below, we rename the conflicts so
 * as not to disrupt functionality of udis.
 *
 * Kevin Coogan 5/28/12
 */

/*
 *  OP_ST(ignore,aflag,dflag) --
 */
int OP_ST(int ignore, int aflag, int dflag) {
    return 1;
}

/*
 *  OP_STi(ignore,aflag,dflag) --
 */
int OP_STi(int ignore, int aflag, int dflag) {
    return 1;
}

/*
 *  OP_indirE(bytemode,aflag,dflag) --
 */
int OP_indirE(int bytemode, int aflag, int dflag) {
    return 1;
}

/*
 *  OP_PREFETCH(bytemode,aflag,dflag) --
 */
int OP_PREFETCH(int bytemode, int aflag, int dflag) {
    return 1;
}

/*
 *  OP_E(bytemode,aflag,dflag) --
 *
 *  Get information about the operands.  Chapter 2 of the Intel Manual Vol 2
 *  is especially useful here, specifically the tables.
 */
int OP_E2(int bytemode, int aflag, int dflag) {
    return 1;
}

/*
 *  OP_G(bytemode,aflag,dflag) --
 */
int OP_G2(int bytemode, int aflag, int dflag) {
    return 1;
}

/*
 *  OP_REG(code,aflag,dflag) --
 */
int OP_REG(int code, int aflag, int dflag) {
    return 1;
}

/*
 *  OP_I(bytemode,aflag,dflag) --
 */
int OP_I2(int bytemode, int aflag, int dflag) {
    return 1;
}

/*
 *  OP_sI(bytemode,aflag,dflag) --
 */
int OP_sI(int bytemode, int aflag, int dflag) {
    return 1;
}

/*
 *  OP_J(bytemode,aflag,dflag) --
 */
int OP_J2(int bytemode, int aflag, int dflag) {
    return 1;
}

/*
 *  OP_SEG(dummy,aflag,dflag) -- encode segment register operand.
 */
int OP_SEG(int dummy, int aflag, int dflag) {
    return 1;
}

/*
 *  OP_DIR(size,aflag,dflag) --
 */
int OP_DIR(int size, int aflag, int dflag) {
    return 1;
}

/*
 *  OP_OFF(bytemode,aflag,dflag) --
 */
int OP_OFF(int bytemode, int aflag, int dflag) {
    return 1;
}

/*
 *  OP_ESDI(dummy,aflag,dflag) --
 */
int OP_ESDI(int dummy, int aflag, int dflag) {
    return 1;
}

/*
 *  OP_DSSI(dummy,aflag,dflag) --
 */
int OP_DSSI(int dummy, int aflag, int dflag) {
    return 1;
}

/*
 *  OP_C(dummy,aflag,dflag) -- encode control register operand.
 */
int OP_C2(int dummy, int aflag, int dflag) {
    return 1;
}

/*
 *  OP_D(dummy,aflag,dflag) -- encode debug register operand.
 */
int OP_D2(int dummy, int aflag, int dflag) {
    return 1;
}

/*
 *  OP_T(dummy,aflag,dflag) --
 */
int OP_T(int dummy, int aflag, int dflag) {
    return 1;
}

/*
 *  OP_rm(bytemode,aflag,dflag) -- encode an RM-specified operand.
 */
int OP_rm(int bytemode, int aflag, int dflag) {
    return 1;
}

/*
 *  OP_MMX(bytemode,aflag,dflag) --
 */
int OP_MMX(int bytemode, int aflag, int dflag) {
    return 1;
}

/*
 *  OP_EM(bytemode,aflag,dflag) --
 */
int OP_EM(int bytemode, int aflag, int dflag) {
    return 1;
}

/*
 *  OP_MS(bytemode,aflag,dflag) --
 */
int OP_MS(int bytemode, int aflag, int dflag) {
    return 1;
}

/*
 *  OP_3DNow(bytemode,aflag,dflag) --
 */
int OP_3DNow(int bytemode, int aflag, int dflag) {
    return 1;
}

/*
 *  OP_3DNowSuffix(bytemode,aflag,dflag) --
 */
int OP_3DNowSuffix(int bytemode, int aflag, int dflag) {
    return 1;
}

/*
 *  SetOperandFlag(op,bytemode,rtn) --
 */
